Skip to main content
GET
/
v1
/
schedules
/
{id}
/
shifts
Retrieves a schedule shifts
curl --request GET \
  --url https://api.rootly.com/v1/schedules/{id}/shifts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "shifts",
      "attributes": {
        "schedule_id": "<string>",
        "rotation_id": "<string>",
        "starts_at": "<string>",
        "ends_at": "<string>",
        "is_override": true,
        "user_id": 123
      },
      "relationships": {
        "shift_override": {
          "data": {
            "id": "<string>",
            "type": "shift_overrides"
          }
        },
        "user": {
          "data": {
            "id": "<string>",
            "type": "users"
          }
        },
        "assignee": {
          "data": {
            "id": "<string>",
            "type": "<string>"
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

to
string
from
string

Response

schedule shifts found

data
object[]
required